//
// BEGIN FLOCK GPL
// 
// Copyright Flock Inc. 2005-2007
// http://flock.com
// 
// This file may be used under the terms of of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
// 
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
// 
// END FLOCK GPL
//

const Cc = Components.classes;
const Ci = Components.interfaces;
const Cr = Components.results;

var paneNews = {};

/*
paneNews.getFlockSourcePacks = function() {
    var pref = flock_getCharPref("flock.feeds.sourcePackHomePage");
    if(!pref) {
        alert("please set a char pref url at flock.feeds.sourcePackHomePage");
        pref = "www.flock.com";
    }
    window.open(pref);
}
*/

paneNews.importSourcePack = function() {
    window.openDialog("chrome://browser/content/flock/feeds/importOPML.xul",
                      "ImportOPML", "modal,centerscreen");
}

paneNews.manuallyAddSource = function() {
    window.openDialog("chrome://browser/content/flock/feeds/addFeedUrl.xul",
                      "AddFeedUrl", "modal,centerscreen");
}

paneNews.exportOPML = function() {
    var aFilePicker = Cc['@mozilla.org/filepicker;1']
        .createInstance(Ci.nsIFilePicker);

    aFilePicker.init(window, null, Ci.nsIFilePicker.modeSave);
    aFilePicker.appendFilter("OPML Files", "*.opml");
    aFilePicker.appendFilters(Ci.nsIFilePicker.filterAll);
    aFilePicker.defaultExtension = "opml";
    aFilePicker.defaultString = "export.opml";

    if (aFilePicker.show() != Ci.nsIFilePicker.returnCancel) {
        var fm = Cc['@flock.com/feed-manager;1']
            .getService(Ci.flockIFeedManager);
        var news_context = fm.getFeedContext('news');

        var opmlsrv = Cc['@flock.com/opml-service;1'] 
            .getService(Ci.flockIOpmlService);

        opmlsrv.export(news_context.getRoot(), 'Flock Subscriptions',
                       aFilePicker.file);

        document.getElementById("exportFinishedLabel")
            .removeAttribute("hidden");
    }
}
