//
// BEGIN FLOCK GPL
// 
// Copyright Flock Inc. 2005-2007
// http://flock.com
// 
// This file may be used under the terms of of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
// 
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
// 
// END FLOCK GPL
//

function $(aID) { return document.getElementById(aID); }

var addFeedUrl = {}

addFeedUrl.accept = function() {
  var url = $("urlBox").value;
  var fixup = Components.classes["@mozilla.org/docshell/urifixup;1"]
                        .getService(Components.interfaces.nsIURIFixup);
  try {
    var uri = fixup.createFixupURI(url, fixup.FIXUP_FLAG_NONE);
    url = uri.spec;
  }
  catch (e) { }

  if (feedUtils.isValidURL(url)) {
    var feedManager = Components.classes["@flock.com/feed-manager;1"]
                                .getService(Components.interfaces.flockIFeedManager);
    var feedManagerListener = {
      onGetFeedComplete: function(feed) {
        feedManager.getFeedContext("news").getRoot().subscribeFeed(feed);
      },
      onError: function(error) {
      }
    }
    feedManager.getFeed(uri, feedManagerListener);
    return true;
  }
  $("error").removeAttribute("hidden");
  return false;
}
